Loading...
Searching...
No Matches
uhd::usb_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::usb_error:
[legend]
Collaboration diagram for uhd::usb_error:
[legend]

## Public Member Functions

| usb_error (int code, const std::string &what)
unsigned | code (void) const override
usb_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::runtime_error
| runtime_error (const std::string &what)
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Public Attributes

int | _code

## Detailed Description

Raised when an error occurs during a USB transaction.

## Constructor & Destructor Documentation

## usb_error()

uhd::usb_error::usb_error | ( | int | code,
|  | const std::string & | what )

## Member Function Documentation

## code()

unsigned uhd::usb_error::code | ( | void |  | ) | const

inline override virtual

Reimplemented from uhd::runtime_error.

## dynamic_clone()

usb_error * uhd::usb_error::dynamic_clone | ( | void |  | ) | const

override virtual

Reimplemented from uhd::runtime_error.

## dynamic_throw()

void uhd::usb_error::dynamic_throw | ( | void |  | ) | const

override virtual

Reimplemented from uhd::runtime_error.

## Member Data Documentation

## _code

int uhd::usb_error::_code

The documentation for this struct was generated from the following file:

- exception.hpp